commit: 7d93a848b19886dfc99caa2e6eaeb59143bf8062
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 2 08:27:15 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec 2 08:38:16 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d93a848
sys-devel/distcc: Clean up old masq path on migration
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
sys-devel/distcc/distcc-3.3.ebuild | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/sys-devel/distcc/distcc-3.3.ebuild
b/sys-devel/distcc/distcc-3.3.ebuild
index f7c6c521c1b..a0caa0c8467 100644
--- a/sys-devel/distcc/distcc-3.3.ebuild
+++ b/sys-devel/distcc/distcc-3.3.ebuild
@@ -148,6 +148,12 @@ src_install() {
}
pkg_postinst() {
+ # remove the old paths when switching from libXX to lib
+ if [[ $(get_libdir) != lib && ${SYMLINK_LIB} != yes && \
+ -d ${EROOT%/}/usr/$(get_libdir)/distcc ]]; then
+ rm -r -f "${EROOT%/}/usr/$(get_libdir)/distcc" || die
+ fi
+
if [[ ${ROOT} == / ]]; then
eselect compiler-shadow update distcc
eselect compiler-shadow update distccd